<?xml version="1.0" encoding="utf-8"?>
    <android.support.design.widget.CoordinatorLayout
        android:id="@+id/coordinatorlayout"
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true"
        tools:context=".MainActivity">

        <FrameLayout
            android:id="@+id/dummy_framelayout_replacing_map"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@android:color/darker_gray"
            android:fitsSystemWindows="true"/>
        <!--</FrameLayout>-->
        <!--<fragment-->
        <!--android:layout_width="match_parent"-->
        <!--android:layout_height="match_parent"-->
        <!--android:id="@+id/support_map"-->
        <!--android:name="com.google.android.gms.maps.SupportMapFragment"/>-->

        <android.support.design.widget.AppBarLayout
            android:id="@+id/appbarlayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:theme="@style/AppTheme.AppBarOverlay"
            app:layout_behavior="@string/ScrollingAppBarLayoutBehavior">

            <android.support.v7.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="?attr/actionBarSize"
                app:popupTheme="@style/AppTheme.PopupOverlay"/>
        </android.support.design.widget.AppBarLayout>

        <android.support.v4.view.ViewPager
            android:id="@+id/pager"
            android:layout_width="match_parent"
            android:layout_height="@dimen/anchor_point"
            android:background="#f56400"
            app:layout_behavior="@string/BackDropBottomSheetBehavior"
            android:fitsSystemWindows="true">
        </android.support.v4.view.ViewPager>

        <android.support.v4.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            app:behavior_peekHeight="@dimen/bottom_sheet_peek_height"
            android:id="@+id/bottom_sheet"
            app:layout_behavior="@string/BottomSheetBehaviorGoogleMapsLike"
            app:anchorPoint="@dimen/anchor_point"
            app:behavior_hideable="true"
            android:fitsSystemWindows="true">

            <include
                layout="@layout/bottom_sheet_content"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:fitsSystemWindows="true"/>
        </android.support.v4.widget.NestedScrollView>

        <android.support.design.widget.FloatingActionButton
            android:layout_height="wrap_content"
            android:layout_width="wrap_content"
            app:layout_anchor="@id/bottom_sheet"
            app:layout_anchorGravity="top|right|end"
            android:src="@android:drawable/ic_dialog_map"
            android:layout_margin="@dimen/fab_margin"
            app:layout_behavior="@string/ScrollAwareFABBehavior"
            android:clickable="true"
            android:focusable="true"/>

        <com.mahc.custombottomsheetbehavior.MergedAppBarLayout
            android:id="@+id/mergedappbarlayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_behavior="@string/MergedAppBarLayoutBehavior"/>

    </android.support.design.widget.CoordinatorLayout>



